[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

KDE 3.0.x deb's incompatible with unstable libqt (2:3.1.1+cvs.20021220-1)



Package: kdelibs-bin
Version: 4:3.0.4-1
Severity: grave

It would appear that the KDE 3.0.4 debs on download.kde.org are incompatible
with the just uploaded libQt qt-x11-free (2:3.1.1+cvs.20021220-1)

In short if you are running the KDE 3.0.x Debs from download.kde.org
hang off upgrading your qt stuff othewise when you try to start KDE/KDM
you will receive a nice error message saying there is a problem loading
kdeinit. This also means that KDE 3.0.x debs are now incompatible with the
unstable distribution.  I guess that's why it's called unstable...

Details below:

$ ldd /usr/bin/kdeinit
	libDCOP.so.4 => /usr/lib/libDCOP.so.4 (0x40020000)
	libkparts.so.2 => /usr/lib/libkparts.so.2 (0x4004d000)
	libkio.so.4 => /usr/lib/libkio.so.4 (0x4007d000)
	libkdeui.so.4 => /usr/lib/libkdeui.so.4 (0x4028a000)
	libkdefx.so.4 => /usr/lib/libkdefx.so.4 (0x4044d000)
	libXrender.so.1 => /usr/X11R6/lib/libXrender.so.1 (0x40471000)
	libkdesu.so.4 => /usr/lib/libkdesu.so.4 (0x40476000)
	libkdecore.so.4 => /usr/lib/libkdecore.so.4 (0x40490000)
	libfam.so.0 => /usr/lib/libfam.so.0 (0x405c3000)
	libqt-mt.so.3 => /usr/lib/libqt-mt.so.3 (0x405cc000)
	libpng.so.3 => /usr/lib/libpng.so.3 (0x40b9d000)
	libz.so.1 => /lib/libz.so.1 (0x40bca000)
	libX11.so.6 => /usr/X11R6/lib/libX11.so.6 (0x40bd8000)
	libSM.so.6 => /usr/X11R6/lib/libSM.so.6 (0x40c93000)
	libICE.so.6 => /usr/X11R6/lib/libICE.so.6 (0x40c9b000)
	libpthread.so.0 => /lib/libpthread.so.0 (0x40cb1000)
	libdl.so.2 => /lib/libdl.so.2 (0x40d00000)
	libXext.so.6 => /usr/X11R6/lib/libXext.so.6 (0x40d03000)
	libresolv.so.2 => /lib/libresolv.so.2 (0x40d10000)
	libstdc++-libc6.2-2.so.3 => /usr/lib/libstdc++-libc6.2-2.so.3 (0x40d21000)
	libutil.so.1 => /lib/libutil.so.1 (0x40d6a000)
	libm.so.6 => /lib/libm.so.6 (0x40d6d000)
	libc.so.6 => /lib/libc.so.6 (0x40d8e000)
	libaudio.so.2 => /usr/lib/libaudio.so.2 (0x40e9e000)
	libXt.so.6 => /usr/X11R6/lib/libXt.so.6 (0x40eb3000)
	libmng.so.1 => /usr/lib/libmng.so.1 (0x40efd000)
	libjpeg.so.62 => /usr/lib/libjpeg.so.62 (0x40f3f000)
	libGL.so.1 => /usr/X11R6/lib/libGL.so.1 (0x40f5d000)
	libXmu.so.6 => /usr/X11R6/lib/libXmu.so.6 (0x40fc3000)
	libXft.so.2 => /usr/X11R6/lib/libXft.so.2 (0x40fd7000)
	libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0x40fe8000)
	/lib/ld-linux.so.2 => /lib/ld-linux.so.2 (0x40000000)
	liblcms.so.1 => /usr/lib/liblcms.so.1 (0x4103a000)
	libfontconfig.so.1 => not found

/var/log/kdm.log:
Conflict in /usr/lib/kde3/plugins/styles/highcolor.so:
  Plugin uses incompatible Qt library!
  expected build key "i686 Linux g++-2.95.* full-config", got "g++-2.95.* full-config".
Conflict in /usr/lib/kde3/plugins/styles/light.so:
  Plugin uses incompatible Qt library!
  expected build key "i686 Linux g++-2.95.* full-config", got "g++-2.95.* full-config".
Conflict in /usr/lib/kde3/plugins/styles/kthemestyle.so:
  Plugin uses incompatible Qt library!
  expected build key "i686 Linux g++-2.95.* full-config", got "g++-2.95.* full-config".
Conflict in /usr/lib/kde3/plugins/styles/highcolor.so:
  Plugin uses incompatible Qt library!
  expected build key "i686 Linux g++-2.95.* full-config", got "g++-2.95.* full-config".
Conflict in /usr/lib/kde3/plugins/styles/light.so:
  Plugin uses incompatible Qt library!
  expected build key "i686 Linux g++-2.95.* full-config", got "g++-2.95.* full-config".
Conflict in /usr/lib/kde3/plugins/styles/kthemestyle.so:
  Plugin uses incompatible Qt library!
  expected build key "i686 Linux g++-2.95.* full-config", got "g++-2.95.* full-config".
Could not init font path element unix/:7100, removing from list!
/usr/bin/kdm_greet: error while loading shared libraries: libfontconfig.so.1: cannot open shared object file: No such file or directory



-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux htpc 2.5.50 #5 Fri Dec 6 21:18:33 EST 2002 i686
Locale: LANG=C, LC_CTYPE=C

Versions of packages kdelibs-bin depends on:
ii  kdelibs4          4:3.0.4-1              KDE core libraries
ii  libarts1          1.0.4-1                aRts Sound system
ii  libarts1-qt       1.0.4-1                aRts Sound system (qt/x11 support
ii  libasound2        0.9.0rc6-1             Advanced Linux Sound Architecture
ii  libaudiofile0     0.2.3-4                The Audiofile Library
ii  libbz2-1.0        1.0.2-1                A high-quality block-sorting file
ii  libc6             2.3.1-6                GNU C Library: Shared libraries an
ii  libcupsys2        1.1.18-1               Common UNIX Printing System(tm) -
ii  libfam0           2.6.9-3                client library to control the FAM
ii  libpng3           1.2.5-8                PNG library - runtime
ii  libqt3-mt         2:3.1.1+cvs.20021220-1 Qt GUI Library (Threaded runtime v
ii  libstdc++2.10-gli 1:2.95.4-15            The GNU stdc++ library
ii  libxml2           2.4.30-1               GNOME XML library
ii  libxslt1          1.0.21-0.2             XSLT processing library
ii  python            2.2.2-3                An interactive object-oriented scr
ii  xlibs             4.2.1-4                X Window System client libraries
ii  zlib1g            1:1.1.4-8              compression library - runtime

-- no debconf information


Attachment: pgpZY8Z8nPBsM.pgp
Description: PGP signature


Reply to: